import { ref as I, computed as v, h as T, defineComponent as j, reactive as z, watch as C, onMounted as $, resolveComponent as g, openBlock as B, createElementBlock as D, unref as d, createVNode as o, withCtx as l, createElementVNode as A, createCommentVNode as q, Fragment as G, renderList as H, createBlock as J, createTextVNode as y, toDisplayString as X } from "vue";
import { message as p, Card as N, InputSearch as ee, Tree as te, Button as M } from "ant-design-vue";
import { useRouter as ue } from "vue-router";
import { C as ae } from "./index.2e52e7bf.js";
import { f as i, p as ne, W as oe, n as E, h as re, q as se, r as le, _ as ie } from "./index.d60f151c.js";
import { W as ce } from "./WorkflowBackModal.3ae17806.js";
import { W as de } from "./WorkflowFormRenderDrawer.232aa69d.js";
import { W as pe } from "./WorkflowTaskModal.1deadb28.js";
import "sanzhi-form-design-vue3";
import "axios";
import "./SanZhiFormRenderOA.8e88035e.js";
const P = I([]), W = I([]), h = I([]), F = v(() => h.value.map((r) => r.instanceId)), fe = v(() => h.value.map((r) => r.id));
function me() {
  return new Promise((n, r) => {
    i("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((a) => {
      const { data: c } = a;
      P.value = c, c.length && W.value.push(c[0].id), n(a);
    }).catch((a) => {
      r(a);
    });
  });
}
function Ee() {
  return new Promise((n, r) => {
    n([{
      tabName: "\u5168\u90E8",
      tabParam: "",
      tabTitle: "\u5168\u90E8"
    }, {
      tabName: "\u5DF2\u5B8C\u7ED3",
      tabParam: "1",
      tabTitle: "\u5DF2\u5B8C\u7ED3"
    }, {
      tabName: "\u672A\u5B8C\u7ED3",
      tabParam: "0",
      tabTitle: "\u672A\u5B8C\u7ED3"
    }, {
      tabName: "\u5DF2\u7EC8\u6B62",
      tabParam: "2",
      tabTitle: "\u5168\u90E8\u72B6\u6001"
    }, {
      tabName: "\u5DF2\u5F52\u6863",
      tabParam: "3",
      tabTitle: "\u5DF2\u5F52\u6863"
    }]);
  });
}
function ye(n) {
  const { archiveStatus: r, instanceRunStatus: a, instanceStatus: c } = n;
  return r ? { color: "success", text: "\u5DF2\u5F52\u6863" } : a === "END" ? { color: "default", text: "\u5DF2\u7EC8\u6B62" } : c ? { color: "processing", text: "\u5DF2\u5B8C\u7ED3" } : { color: "warning", text: "\u672A\u5B8C\u7ED3" };
}
function be(n = {}, r) {
  return {
    rowKey: "id",
    columns: [
      {
        title: "\u6807\u9898",
        dataIndex: "title",
        customRender: function({ record: u }) {
          const { flowId: s, instanceId: b, id: _, title: e } = u, w = { flowId: s, instanceId: b, taskId: _ };
          return T("span", {
            class: "ant-btn-link pointer",
            onClick: function() {
              ne({ params: w, router: r });
            }
          }, e);
        },
        width: 350
      },
      {
        title: "\u6D41\u7A0B",
        dataIndex: "flowName",
        width: 150,
        ellipsis: !0
      },
      {
        title: "\u5F53\u524D\u6B65\u9AA4",
        dataIndex: "stepName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u4EBA",
        dataIndex: "senderName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u5904\u7406\u4EBA",
        dataIndex: "receiverName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u65E5\u671F",
        dataIndex: "receiveTime",
        width: 190
      },
      {
        title: "\u6D41\u7A0B\u72B6\u6001",
        dataIndex: "instanceStatus",
        customRender: function({ record: u }) {
          const s = ye(u);
          return T(oe, {
            color: s.color,
            value: s.text
          });
        },
        width: 100
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        fixed: "right",
        width: 175,
        buttons: [
          {
            title: "\u6D41\u7A0B\u8F68\u8FF9",
            icon: "fund-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(u) {
              n.modal.openModal({ data: u });
            }
          },
          {
            title: "\u5DE5\u4F5C\u4EFB\u52A1",
            icon: "control-outlined",
            props: {
              type: "primary"
            },
            key: "task",
            onClick: function(u) {
              n.taskModal.openModal({ data: u });
            }
          },
          {
            title: "\u7EC8\u6B62\u5B9E\u4F8B",
            icon: "poweroff-outlined",
            props: {
              type: "danger"
            },
            key: "end",
            hide: function(u) {
              const { instanceRunStatus: s, instanceStatus: b } = u;
              return !(!s && !b);
            },
            onClick: async function(u) {
              try {
                await E({
                  content: "\u786E\u8BA4\u7EC8\u6B62\u5F53\u524D\u5B9E\u4F8B\u4E48\uFF1F"
                });
              } catch {
                return;
              }
              i("apis").endFlowByInstanceId({ id: u.instanceId }).then(() => {
                p.success("\u7EC8\u6B62\u6210\u529F"), n.table.reload();
              });
            }
          },
          {
            title: "\u5220\u9664\u5B9E\u4F8B",
            icon: "delete-outlined",
            props: {
              type: "danger"
            },
            key: "del",
            hide: function(u) {
              const { instanceRunStatus: s } = u;
              return s !== "END";
            },
            onClick: async function(u) {
              try {
                await E({
                  content: "\u786E\u8BA4\u5220\u9664\u5F53\u524D\u5B9E\u4F8B\u4E48\uFF1F"
                });
              } catch {
                return;
              }
              i("apis").deleteEndWorkflowTaskById({ id: u.id }).then(() => {
                p.success("\u5220\u9664\u6210\u529F"), n.table.reload();
              });
            }
          },
          {
            title: "\u64A4\u56DE",
            icon: "rollback-outlined",
            props: {
              type: "warning"
            },
            key: "return",
            hide: function(u) {
              const { recall: s } = u;
              return !s;
            },
            onClick: async function(u) {
              try {
                await E({
                  content: "\u786E\u8BA4\u64A4\u56DE\u5F53\u524D\u5B9E\u4F8B\u4E48\uFF1F"
                });
              } catch {
                return;
              }
              i("apis").recall({ id: u.id }).then(() => {
                p.success("\u64A4\u56DE\u6210\u529F"), n.table.reload();
              });
            }
          }
        ]
      }
    ],
    rowSelection: {
      onChange: (u, s) => {
        h.value = s;
      },
      selectedRowKeys: fe
    }
  };
}
function R(n = {}) {
  const r = n.tableQuery && n.tableQuery.categoryId, a = n.locationQuery || {};
  return {
    formProps: {
      layout: "inline",
      columns: [{
        field: "title",
        label: "\u6807\u9898"
      }, {
        field: "sender",
        label: "\u53D1\u8D77\u4EBA"
      }, {
        field: "timeRange",
        label: "\u65F6\u95F4",
        colAttr: {
          span: 6
        },
        timeRangeFieldNames: {
          startTime: "completedStartTime",
          endTime: "completedEndTime"
        },
        component: "a-range-picker",
        componentProps: {
          style: {
            width: "100%"
          },
          valueFormat: "YYYY-MM-DD"
        }
      }, {
        field: "categoryId",
        label: "\u5DE5\u4F5C\u6D41\u7A0B",
        hide: !a.noTree,
        defaultValue: r || "",
        component: "a-tree-select",
        componentProps: {
          "tree-data": P,
          "field-names": {
            children: "children",
            value: "id",
            label: "name"
          },
          treeDefaultExpandAll: !0
        }
      }]
    }
  };
}
const ge = { class: "workflow-manage" }, he = {
  key: 0,
  class: "left"
}, Be = { class: "input-box" }, Fe = { class: "tree-box" }, _e = { class: "right" }, we = /* @__PURE__ */ y(" \u5BFC\u51FA "), ke = /* @__PURE__ */ y(" \u7EC8\u6B62 "), Ce = /* @__PURE__ */ y("\u4E00\u952E\u50AC\u529E"), De = /* @__PURE__ */ y("\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65"), Ae = /* @__PURE__ */ y(" \u50AC\u529E "), Ie = /* @__PURE__ */ j({
  __name: "SanZhiWorkflowInstance",
  setup(n) {
    const r = ue(), a = {};
    function c(t) {
      a.table = t;
    }
    function u(t) {
      a.modal = t;
    }
    function s(t) {
      a.workflowForm = t;
    }
    function b(t) {
      a.backModal = t;
    }
    function _(t) {
      a.taskModal = t;
    }
    const e = z({
      locationQuery: re(),
      keyword: "",
      treeData: P,
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: W,
      formProps: R(),
      tableProps: be(a, r),
      tabsList: [],
      tableQuery: {
        status: ""
      },
      tableData: {},
      loading: !1,
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    }), w = v(() => !e.locationQuery.noTree);
    C(
      () => e.selectedKeys,
      (t, f) => {
        const k = t[0] || "";
        e.tableQuery.categoryId = k, a.table.reload();
      },
      { deep: !0 }
    ), C(
      () => e.tableQuery.categoryId,
      () => {
        h.value = [];
      }
    ), C(
      () => e.tableQuery.status,
      () => {
        h.value = [];
      }
    );
    function S() {
      return i("apis").getWorkflowTaskInstanceLaunchPageList;
    }
    function L() {
      const t = a.table.getParams();
      e.loading = !0, i("apis").getWorkflowTaskInstanceExportExcel({ ...t }).then((f) => {
      }).finally(() => {
        e.loading = !1;
      });
    }
    async function Q() {
      const t = F.value.length;
      if (!t) {
        p.info("\u8BF7\u9009\u62E9\u81F3\u5C11\u4E00\u6761\u6570\u636E");
        return;
      }
      try {
        await E({
          content: `\u786E\u8BA4\u50AC\u529E\u9009\u4E2D\u7684\u6D41\u7A0B\u4E48\uFF0C\u5171\u9009\u4E2D${t}\u6761`
        });
      } catch {
        return;
      }
      i("apis").remindMyLaunchByInstanceList({ body: F.value }).then(() => {
        p.success("\u50AC\u529E\u6210\u529F");
      });
    }
    async function K({ key: t }) {
      if (t === "1") {
        try {
          await E({
            content: "\u786E\u8BA4\u4E00\u952E\u50AC\u529E\u4E48"
          });
        } catch {
          return;
        }
        i("apis").remindMyLaunchByInstanceList({ body: null }).then(() => {
          p.success("\u4E00\u952E\u50AC\u529E\u6210\u529F");
        });
        return;
      }
      try {
        await E({
          content: "\u786E\u8BA4\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65\u4E48"
        });
      } catch {
        return;
      }
      i("apis").remindMyLaunchWaitByInstanceList({ body: null }).then(() => {
        p.success("\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65\u6210\u529F");
      });
    }
    async function U() {
      const t = F.value.length;
      if (!t) {
        p.info("\u8BF7\u9009\u62E9\u81F3\u5C11\u4E00\u6761\u6570\u636E");
        return;
      }
      try {
        await E({
          content: `\u786E\u8BA4\u7EC8\u6B62\u9009\u4E2D\u7684\u6D41\u7A0B\u4E48\uFF0C\u5171\u9009\u4E2D${t}\u6761`
        });
      } catch {
        return;
      }
      i("apis").endBatchFlowByInstanceId({ body: F.value }).then(() => {
        p.success("\u7EC8\u6B62\u6D41\u7A0B\u6210\u529F"), a.table.reload();
      });
    }
    return $(() => {
      Ee().then((t) => {
        e.tabsList = t;
      }), me().then(() => {
        e.formProps = R(e);
      });
    }), (t, f) => {
      const k = g("a-radio-button"), V = g("a-radio-group"), x = g("a-menu-item"), Y = g("a-menu"), O = g("a-dropdown-button");
      return B(), D("div", ge, [
        d(w) ? (B(), D("div", he, [
          o(d(N), { size: "small" }, {
            default: l(() => [
              A("div", Be, [
                o(d(ee), {
                  value: e.keyword,
                  "onUpdate:value": f[0] || (f[0] = (m) => e.keyword = m),
                  placeholder: "\u8BF7\u8F93\u5165\u641C\u7D22\u5185\u5BB9"
                }, null, 8, ["value"])
              ]),
              A("div", Fe, [
                o(d(te), {
                  "tree-data": e.treeData,
                  selectedKeys: e.selectedKeys,
                  "onUpdate:selectedKeys": f[1] || (f[1] = (m) => e.selectedKeys = m),
                  fieldNames: e.fieldNames
                }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
              ])
            ]),
            _: 1
          })
        ])) : q("", !0),
        A("div", _e, [
          o(d(N), { size: "small" }, {
            default: l(() => [
              o(d(ae), {
                api: S(),
                autoGet: !1,
                extraParams: e.tableQuery,
                tableProps: e.tableProps,
                formProps: e.formProps,
                onRegister: c
              }, {
                middle: l(() => [
                  o(V, {
                    value: e.tableQuery.status,
                    "onUpdate:value": f[2] || (f[2] = (m) => e.tableQuery.status = m),
                    onChange: a.table.reload
                  }, {
                    default: l(() => [
                      (B(!0), D(G, null, H(e.tabsList, (m, Z) => (B(), J(k, {
                        value: m.tabParam,
                        key: Z
                      }, {
                        default: l(() => [
                          y(X(m.tabName), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 1
                  }, 8, ["value", "onChange"])
                ]),
                formRight: l(() => [
                  o(d(M), {
                    type: "primary",
                    onClick: L,
                    loading: e.loading
                  }, {
                    default: l(() => [
                      we
                    ]),
                    _: 1
                  }, 8, ["loading"]),
                  o(d(M), {
                    danger: "",
                    onClick: U,
                    loading: e.loading
                  }, {
                    default: l(() => [
                      ke
                    ]),
                    _: 1
                  }, 8, ["loading"]),
                  o(O, {
                    type: "danger",
                    onClick: Q
                  }, {
                    overlay: l(() => [
                      o(Y, { onClick: K }, {
                        default: l(() => [
                          o(x, { key: "1" }, {
                            default: l(() => [
                              Ce
                            ]),
                            _: 1
                          }),
                          o(x, { key: "2" }, {
                            default: l(() => [
                              De
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ]),
                    icon: l(() => [
                      o(d(se))
                    ]),
                    default: l(() => [
                      Ae
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["api", "extraParams", "tableProps", "formProps"])
            ]),
            _: 1
          })
        ]),
        o(le, { onRegister: u }),
        o(ce, { onRegister: b }),
        o(de, { onRegister: s }),
        o(pe, { onRegister: _ })
      ]);
    };
  }
});
const Ke = /* @__PURE__ */ ie(Ie, [["__scopeId", "data-v-bb3dc70c"]]);
export {
  Ke as default
};
